LoadAuth

Sends the request to preload in case of a refund request or a request to load a card.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
referenceString1-255 characters✓The reference of the wallet to load
requestAmountInteger✓The amount to be loaded in cents
narrativeString1-255 characters✓A description of the terminal where the card was used
transactionTypeString2 characters✓2 character string identifying the type of transaction: 20 = Refund; 26 = OCT (Visa); 28 = MoneySend/Payment
transactionDataString0-2048 characters✓Extra information about the transaction in a KLV format
transactionIDString1-255 characters✓Transaction id number generated by the calling client. Note. The transactionID is not a unique value and may be duplicated over time. The value of the transactionID is not expected or guaranteed to tie up to an original deduct message.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
    <methodName>LoadAuth</methodName>
    <params>
        <param>
            <value>
                <string>0014682067</string>
            </value>
        </param>
        <param>
            <value>
                <string>IMPLTest</string>
            </value>
        </param>
        <param>
            <value>
                <int>10000</int>
            </value>
        </param>
        <param>
            <value>
                <string>Tutuka Test            Pretoria      ZAF</string>
            </value>
        </param>
        <param>
            <value>
                <string>20</string>
            </value>
        </param>
        <param>
            <value>
                <string>002151375691000000230041200000001000002604601103712164514763140041000420512345048000490384008500250033DS25110MasterCard2520102530447792540025500</string>
            </value>
        </param>
        <param>
            <value>
                <string>192316</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200709T06:45:40</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>47D4F5C6E263FA295D492A925DF607773D3F1B9B</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>